import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRGeneralDiagnosticsClusterHardwareFaultChangeEvent extends _NSObject {
    static alloc(): _MTRGeneralDiagnosticsClusterHardwareFaultChangeEvent;
    static new(): _MTRGeneralDiagnosticsClusterHardwareFaultChangeEvent;
    init(): _MTRGeneralDiagnosticsClusterHardwareFaultChangeEvent;
    current(): _NSArray;
    setCurrent$(value: _NSArray): void;
    previous(): _NSArray;
    setPrevious$(value: _NSArray): void;
}
export interface _MTRGeneralDiagnosticsClusterHardwareFaultChangeEvent extends _NSCopying {
}
